Zum Hauptinhalt springen

Get a MySQL user's PhpMyAdmin-URL

GET/v2/mysql-users/{mysqlUserId}/php-my-admin-url
API-Version
v2
Request-Methode
GET
Operation-ID
database-get-mysql-user-php-my-admin-url

Request​

  • mysqlUserIdstringrequired

    ID of the MySQLUser for which to get the URL for.

Responses​

Format
application/json
Beschreibung

OK

  • urlstringrequired
Content-Type: application/json

{
"url": "string"
}
{
"properties": {
"url": {
"type": "string"
}
},
"required": [
"url"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/mysql-users/string/php-my-admin-url
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.database.getMysqlUserPhpMyAdminUrl({
"mysqlUserId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Database\GetMysqlUserPhpMyAdminUrl\GetMysqlUserPhpMyAdminUrlRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetMysqlUserPhpMyAdminUrlRequest(
mysqlUserId: "string"
));
$response = $client->database()->getMysqlUserPhpMyAdminUrl($request);

var_dump($response->getBody();

Auf dieser Seite